#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---
require 'rubygems'
require 'activeldap'

ActiveLDAP::Base.connect(
  :base => 'dc=pragbouquet,dc=com',
  :bind_format => 'cn=root,dc=pragbouquet,dc=com',
  :password_block => Proc.new { 'secret' },
  :allow_anonymous => false
)

class Group < ActiveLDAP::Base
  ldap_mapping :prefix => 'ou=Groups',
               :classes => %w(posixGroup)
end

Group.find_all('*').each { |g| puts g }

test = Group.new('test')
p test
test.gidNumber = 4711
test.cn = 'test'
puts test.dn
test.write
