#!/usr/bin/ruby -w
#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---

require 'webrick'
include WEBrick


cgi_dir = File.expand_path('./cgi-bin')
s = HTTPServer.new(:Port => 2080)
s.mount('/cgi-bin', HTTPServlet::FileHandler, cgi_dir,
  :FancyIndexing => true
)


trap('INT') { s.shutdown }
s.start
