#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---
require 'drb'

require 'thread'

class Sequence
  def initialize(start_value = 0, step = 1)
    @value, @step = start_value - step, step
    @mutex = Mutex.new
  end

  def next_value
    @mutex.synchronize do
      @value += @step
    end
    @value
  end
end



class Sequence
  include DRbUndumped
end

