#!/usr/bin/ruby -w
#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---


require 'webrick'
include WEBrick

dir = Dir::pwd 
port = 13000 + (dir.hash % 1000) 

puts "URL: http://#{Socket.gethostname}:#{port}"

s = HTTPServer.new( 
   :Port => port,
   :DocumentRoot => dir,
   :ServerType => Daemon
)

trap('INT') { s.shutdown }
s.start 

