#!/usr/bin/ruby -w
#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---


require 'webrick'
include WEBrick

dir = Dir::pwd
port = 13000 + (dir.hash % 1000)
puts "URL: http://#{Socket.gethostname}:#{port}"

authenticate = Proc.new do |req, res| 
   HTTPAuth.basic_auth(req, res, "") do |usr, pwd| 
      usr == 'maik' && pwd == 'secret'
   end
end 

s = HTTPServer.new(:Port => port, :ServerType => Daemon)
s.mount('/', HTTPServlet::FileHandler, dir,
  :FancyIndexing => true,
  :HandlerCallback => authenticate
)

trap('INT') { s.shutdown }
s.start

