#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---
require "xmlrpc/client"

server = XMLRPC::Client.new('localhost', '/RPC2', 8080)
begin
  response = server.call(
    'pragbouquet.draw_card',
    4711,
    42,
    'Forgive me!'
  )
rescue XMLRPC::FaultException => e
  puts "An error occurred:"
  puts e.faultCode
  puts e.faultString
end
