#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---
require 'rubygems'
require 'rake/gempackagetask'
include Rake

SM_VERSION = '0.0.1'
gem_spec = Gem::Specification.new do |s|
  s.name = 'sm'
  s.version = SM_VERSION
  s.platform = Gem::Platform::RUBY
  s.files = FileList['lib/**/*.rb']
  s.requirements << 'none'
  s.require_path = 'lib'
  s.autorequire = 'status_monitor_client'
  s.summary = 'Status monitor for PragBouquet applications.'
  s.description = 'Use the status monitor to report errors.'
end

GemPackageTask.new(gem_spec) do |pkg|
  pkg.need_zip = true
  pkg.need_tar = true
end
