#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---

require 'date'

birthday = Date.new(1972, 9, 30)
puts birthday.strftime('It was a %A in %B.')



MONTHS = {
  :de => %w(
    placeholder Januar Februar März April Mai Juni
    Juli August September Oktober November Dezember
  )
}

DAYS = {
  :de => %w(
    Sonntag Montag Dienstag Mittwoch Donnerstag Freitag Samstag
  )
}

month_name = MONTHS[:de][birthday.month]
day_name = DAYS[:de][birthday.wday]
puts "Es war ein %s im Monat %s." % [day_name, month_name]

