#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---
require 'rubygems'
require 'log4r'
include Log4r


fancy = Logger.new('fancy')
p = PatternFormatter.new(:pattern => "[%5l] %d: %m") 
fancy.add(StdoutOutputter.new('stdout', :formatter => p))
fancy.info(%w(cat mouse dog))
fancy.error('I am so nicely formatted!')



p = PatternFormatter.new(
   :pattern => '[%5l] %d: %m',
   :date_pattern => '%Y'
)
fancy.add(StdoutOutputter.new('stdout', :formatter => p))
fancy.info('Oh, our second customer.')



p = PatternFormatter.new(
   :pattern => '[%5l] %d: %m',
   :date_method => :usec
)
fancy.add(StdoutOutputter.new('stdout', :formatter => p))
fancy.info('Money, money, money.')

