#!/usr/local/bin/ruby -w
#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---

require 'logger'


logger = Logger.new('logger_with_file.log')
logger.info('Logging to a file now.')



require 'stringio'
buffer = StringIO.new
io_logger = Logger.new(buffer)
io_logger.debug('Logging with IO.')
puts buffer.string


# vim:sw=2:tw=0
