#!/usr/local/bin/ruby -w
#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---


require 'csv'
CSV::Reader.parse(File.open('products.csv', 'r')) do |row|
  puts "#{row[1]}: #{row[2]}"
end



csv = CSV.open('products.csv', 'r')
header = csv.shift # Ignore header line.
csv.each { |row| puts "#{row[1]}: #{row[2]}" }
csv.close


# vim:sw=2:tw=0
