#!/usr/local/bin/ruby -w
#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---

require 'rexml/document'

tracking_result = REXML::Document.new(File.new('package2.xml'))
tracking_result.each_element('*/parcel-history') do |ph|
  puts ph.attributes['tracking-no']
  ph.each_element('event') do |e|
    puts e
  end
end

# vim:sw=2:tw=0
