#!/usr/local/bin/ruby -w
#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---

require 'rexml/document'
include REXML


doc = Document.new(File.new('packages.xml'))
tracking_results = doc.root
first_parcel = tracking_results.elements[1]
tracking_no = first_parcel.attributes['tracking-no'] # -> 2X42

puts "Tracking number of first parcel is #{tracking_no}."


doc.root.each_element('parcel-history') do |ph|
  puts ph.attributes['tracking-no']
end


# vim:sw=2:tw=0
