#!/usr/local/bin/ruby -w
#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---


require 'oci8'

class Recipient
  def initialize(connection)
    sql = 'insert into coupon_recipients (customer_id) values(:1)'
    @insert_rec = connection.parse(sql)
  end

  def create(customer)
    @insert_rec.bind_param(1, customer.id)
    @insert_rec.exec
  end
end



if $0 == __FILE__
  
  require 'cusfinder'
  connection = OCI8.new('maik', 'maik')
  connection.autocommit = true 
  recipients = Recipient.new(connection)
  customer = Customer.new(1, 'Selma', 'Bouvier', 'selma@example.com')
  recipients.create(customer)
  connection.logoff
  
end

# vim:sw=2:tw=0
