#!/usr/local/bin/ruby -w
#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---


require 'mysql'

class Whitelist
  def initialize(connection)
    @whitelist = {}
    result = connection.query('select email from whitelist');
    result.each_hash { |h| @whitelist[h['email']] = true }
  end

  def contains?(email)
    @whitelist.has_key?(email)
  end
end


if $0 == __FILE__
  
  connection = Mysql.new('localhost', '', '', 'webshop')
  whitelist = Whitelist.new(connection)
  puts whitelist.contains?('homer@example.com')
  puts whitelist.contains?('unknown_address')
  connection.close
  
end
# vim:sw=2:tw=0
