#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---
require 'ldap'
require 'addressbook'

connection = Conn.new('127.0.0.1', LDAP_PORT)
connection.set_option(LDAP_OPT_PROTOCOL_VERSION, 3)
connection.bind('cn=root,dc=pragbouquet,dc=com', 'secret')


user = User.new('23', 'Jane', 'Doe')
address_book = AddressBook.new(connection, user)
recipient = Recipient.new(
  'Jose', 'Rodriguez',
  'Casanova Street 6', '77002',
  'Houston', 'TX',
  'Rrrrrrr!'
)
address_book.add(recipient)

