#!/usr/local/bin/ruby -w
#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---

require 'oci8'


connection = OCI8.new('maik', 'maik')
num_of_countries = connection.exec('select distinct country_code from customers') do |row|
  puts row.join(',')
end
puts "Found #{num_of_countries} countries in database."
connection.logoff


# vim:sw=2:tw=0
