/***
 * Excerpted from "Enterprise Integration with Ruby"
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
***/
public class SendSms {
   public static void main(final String args[]) {
      try {
         final String recipient = args[0];
         final String sender = args[1];
         final String data = args[2];
         final SmsServiceClient smsServiceClient = 
            new SmsServiceClient();
         short bytes = smsServiceClient.sendTextSms(
            recipient,
            sender,
            data
         );
         System.out.println(bytes + " bytes have been sent.");
      }
      catch(Exception e) {
         System.err.println("An exception occurred: " + e) ;
         e.printStackTrace(System.err);
      }
   }
}
