#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---
require 'drb'

class Sequence
  def initialize(start_value = 0, step = 1)
    @value, @step = start_value - step, step
  end

  def next_value
    @value += @step
  end
end

DRb.start_service('druby://localhost:9000', Sequence.new) 
DRb.thread.join
