#!/usr/bin/ruby
#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---


require 'gserver'

class Parrot < GServer 
   def initialize(host = 'localhost', port = '3333')
      super(port, host) 
   end
   
   def serve(client)
      text = client.gets
      client.puts(text)
   end
end

lora = Parrot.new
lora.start
lora.join

