#!/usr/bin/ruby -w
#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---

require 'webrick'
include WEBrick


class FriendlyServlet < HTTPServlet::AbstractServlet
   def do_GREET(req, res)
     res.status = 200
     res.body = "Hello!! Nice to meet you!\n"
   end
end

server = HTTPServer.new(:Port => 4200)
server.mount('/', FriendlyServlet)
%w(INT TERM).each do |signal|
   trap(signal) { server.shutdown } 
end
server.start

