/***
 * Excerpted from "Enterprise Integration with Ruby"
 * We make no guarantees that this code is fit for any purpose. 
 * Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
***/
public class StatusMonitorTest {
    public static void main(String[] args) {
        try {
            final StatusMonitor sm = new StatusMonitor(
                "127.0.0.1",
                3333
            );
            final int result = sm.debug("billing", "ALAAARM!!");
            System.out.println(result);
            sm.terminate();
        }
        catch(Exception e) {
            System.err.println(
                "An error occurred: " + e.getMessage()
            );
        }
    }
}
