#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---
require 'tmail'

def create_mail(to, subject, body)
   mail = TMail::Mail.new
   mail.date = Time.now
   mail.mime_version = '1.0'
   mail.set_content_type 'text', 'plain'
   mail.from = 'status_monitor@pragbouquet.com'
   mail.to = to
   mail.subject = subject
   mail.body = body
   mail
end

subject = "A fatal error occurred in billing!"
subject << " Regret your sins!"
mail = create_mail(
   'helpdesk@pragbouquet.com',
   subject,
   'Lost connection to payment gateway.'
)
puts mail.encoded