#!/usr/bin/env ruby
#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---
require 'StockServiceImplementationDescriptionDriver.rb'

endpoint_url = ARGV.shift
obj = StockInterface.new(endpoint_url)

# run ruby with -d to see SOAP wiredumps.
obj.wiredump_dev = STDERR if $DEBUG

# SYNOPSIS
#   set_price(name, price)
#
# ARGS
#   name            String - {http://www.w3.org/2001/XMLSchema}string
#   price           Double - {http://www.w3.org/2001/XMLSchema}double
#
# RETURNS
#   price           Double - {http://www.w3.org/2001/XMLSchema}double
#
name = price = nil 
puts obj.set_price(name, price)


