#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---
require 'soap/rpc/standaloneServer'
require 'stock'


class StockServer < SOAP::RPC::StandaloneServer
  def initialize(*args)
    super
    @log.level = Logger::Severity::DEBUG
    add_servant(Stock.new)
  end
end


server = StockServer.new('stock', 'urn:Stock', '0.0.0.0', 2000)
trap(:INT) { server.shutdown }
server.start
