#!/usr/bin/ruby -w
#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---

require 'webrick'
include WEBrick


server = HTTPServer.new(:Port => 4100)
server.mount_proc('/') do |req, res| 
   res.status = 200
   res.body = "Hello, #{req.query['name']}!"
end

%w(INT TERM).each do |signal|
   trap(signal) { server.shutdown } 
end
server.start

