#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---
class GreetingCard
   attr_reader :card_ref, :front, :back

   class << self
      def create(order_no, image_id, text)
         front = read_image(image_id)
         back = create_text_page(text)
         card_ref = order_no.to_s + "_" + rand(1000).to_s
         store_card(card_ref, front, back)
         GreetingCard.new(card_ref, front, back)
      end
   
      private

      def read_image(image_id)
         IO.read("img/#{image_id}.gif")
      end

      def create_text_page(text)
         return nil unless text
         # Here we have to create the nice-looking
         # text page somehow.
         ""
      end
   
      def store_card(card_ref, front, back)
         # Generate PDF and store cardref.pdf 
         # containing front and back images.
      end
   end

   private
   
   def initialize(card_ref, front, back)
      @card_ref, @front, @back  = card_ref, front, back
   end
end
