#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---
require "xmlrpc/client"

server = XMLRPC::Client.new('localhost', '/RPC2', 8080)
gc = server.proxy2('pragbouquet') 
success, cards = gc.draw_card(4711, 42, 'Forgive me!')
if success
   puts cards
else
   puts "An error occurred:"
   puts cards.faultCode
   puts cards.faultString
end
