#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---
require 'iconv'

class IO
  def IO.i18n_read(name, from_cs = 'utf-8', to_cs = 'iso-8859-1')
    converter = Iconv.new(to_cs, from_cs)
    converter.iconv(read(name))
  end
end

content = IO.i18n_read('data/utf8.txt')
puts "#{content} (#{content.length} bytes)"
