#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---

require 'ustring'

str = u'Märchenstraße' 
puts "Length is #{str.length} characters."
puts str.downcase
puts str.upcase
p str.to_s('ISO-8859-1').scan(/./) 



str = u'Märchenstraße'
str.each_char('de_DE') { |c| puts c.inspect_names } 
"Hello, world!".u.each_word('en_US') { |w| puts "'#{w}'" }



gb = u"In{0, date, MMMM} it will cost {1, number, currency}."
puts gb.fmt('en_GB', Time.now, 12345.34)
us = u"In{0, date, MMMM} it will cost {1, number, currency}."
puts us.fmt('en_US', Time.now, 12345.34)
de = u"Im{0, date, MMMM} kostet es {1, number, currency}."
puts de.fmt('de_DE', Time.now, 12345.34)



s = u'{0, choice, 0#no chance|1#a chance|1<many chances}.'
0.upto(2) { |i| puts "We have " + s.fmt('de_DE', i) }



puts 'Last character: ' + ure('(.)(.)(.)').match('süß'.u)[3]

strange_csv = 'thisäisästrange'
puts ure('ä').split(strange_csv.to_u, nil)

