#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---
require 'rubygems'
require 'log4r'
require 'log4r/outputter/rollingfileoutputter'
include Log4r


require 'log4r/yamlconfigurator'
YamlConfigurator['basepath'] = '/tmp'
YamlConfigurator.load_yaml_file('complete.yaml')


app = Logger['app']
app.debug('Look at me!')
app.warn('Look at Roy!')

db = Logger['db']
db.error('DB logs go always into a file.')
db.warn('But not this one.')
