#!/usr/local/bin/ruby -w
#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---


require 'csv'
csv = CSV.open('products.csv', 'r')
Product = Struct.new(*(csv.shift.map { |f| f.to_sym })) 
products = csv.inject([]) do |products, row|
  products << Product[*row] 
end
csv.close

products.each do |p|
  puts "#{p.name}: #{p.price}"
end


# vim:sw=2:tw=0
