#!/usr/local/bin/ruby -w
#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---


require 'rexml/parsers/sax2parser'

todo_list = File.new('todo.xml')
parser = REXML::Parsers::SAX2Parser.new(todo_list)
parser.listen(:characters) { |text| puts "* #{text}" }
parser.parse


puts


def decode_markup(text)
  text.gsub!(/&lt;/, '<')
  text.gsub!(/&gt;/, '>')
  text.gsub!(/&apos;/, "'")
  text.gsub!(/&quot;/, '"')
  text.gsub!(/&amp;/, '&')
  text
end

todo_list = File.new('todo.xml')
parser = REXML::Parsers::SAX2Parser.new(todo_list)
parser.listen(:characters, ['to-do']) { |text|
  puts "* #{decode_markup(text)}"
}
parser.parse


# vim:sw=2:tw=0
