#!/usr/local/bin/ruby -w
#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---

require 'rexml/document'
include REXML


class ParcelHistoryListener
  def method_missing(method_id, *args)
    puts "Method '#{method_id.id2name}' was called."
  end
end

Document.parse_stream(
   File.new('packages.xml'),
   ParcelHistoryListener.new
)

# vim:sw=2:tw=0
