#!/usr/local/bin/ruby -w
#---
# Excerpted from "Enterprise Integration with Ruby"
# We make no guarantees that this code is fit for any purpose. 
# Visit http://www.pragmaticprogrammer.com/titles/fr_eir for more book information.
#---

require 'rexml/document'
include REXML


require 'rexml/streamlistener'

class ParcelHistoryListener
  include StreamListener

  def tag_start(tag_name, attrs)
    puts tag_name
  end
end

Document.parse_stream(
   File.new('packages.xml'),
   ParcelHistoryListener.new
)


# vim:sw=2:tw=0
